edu.ucsb.nceas.metacat.scheduler

## Class BaseScheduler

- java.lang.Object
- - edu.ucsb.nceas.metacat.scheduler.BaseScheduler

-     public abstract class BaseScheduler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseScheduler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `deleteJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)`
    `abstract void` | `getJobs(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)`
    `abstract void` | `rescheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)`
    `abstract void` | `scheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params)`
    `abstract void` | `unscheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseScheduler

          public BaseScheduler()

  - ### Method Detail

    - #### scheduleJob

          public abstract void scheduleJob(javax.servlet.http.HttpServletRequest request,
                                           javax.servlet.http.HttpServletResponse response,
                                           java.util.Hashtable<java.lang.String,java.lang.String[]> params)
                                    throws MetacatSchedulerException

      Throws:
        `MetacatSchedulerException`

    - #### unscheduleJob

          public abstract void unscheduleJob(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                             java.lang.String username,
                                             java.lang.String[] groups)
                                      throws MetacatSchedulerException

      Throws:
        `MetacatSchedulerException`

    - #### rescheduleJob

          public abstract void rescheduleJob(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                             java.lang.String username,
                                             java.lang.String[] groups)
                                      throws MetacatSchedulerException

      Throws:
        `MetacatSchedulerException`

    - #### deleteJob

          public abstract void deleteJob(javax.servlet.http.HttpServletRequest request,
                                         javax.servlet.http.HttpServletResponse response,
                                         java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                         java.lang.String username,
                                         java.lang.String[] groups)
                                  throws MetacatSchedulerException

      Throws:
        `MetacatSchedulerException`

    - #### getJobs

          public abstract void getJobs(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response,
                                       java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                       java.lang.String username,
                                       java.lang.String[] groups)
                                throws MetacatSchedulerException

      Throws:
        `MetacatSchedulerException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.